<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".QCCheck_Activity">

    <LinearLayout
        android:id="@+id/layout_header"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/color_header"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageButton
            android:id="@+id/imb_back"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:onClick="onClick"
            app:srcCompat="@drawable/back" />

        <TextView
            android:id="@+id/txt_header"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="QC Check"
            android:textColor="@color/color_white"
            android:textSize="20sp"
            android:textStyle="bold" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout4001"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/black"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_header">

        <TextView
            android:id="@+id/txt_user"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:maxLines="1"
            android:text="User :"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_device"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="right"
            android:text="Divice :"
            android:textColor="@color/white"
            android:textSize="16sp"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_date"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout4001">

        <TextView
            android:id="@+id/textView100"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_weight="0.9"
            android:gravity="left|center"
            android:text="Order No."
            android:textColor="@color/black"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_order_no"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.8"
            android:gravity="center"
            android:textColor="@color/black"
            android:background="@drawable/img_background_gray"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/textView1"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="Date"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_date"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.8"
            android:gravity="center"
            android:textColor="@color/black"
            android:background="@drawable/img_background_gray"
            android:textSize="16sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_part_no"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_date">

        <TextView
            android:id="@+id/textView2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_weight="1"
            android:gravity="left|center"
            android:text="Part No."
            android:textColor="@color/black"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_part_no"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.25"
            android:gravity="center"
            android:textColor="@color/black"
            android:background="@drawable/img_background_gray"
            android:textSize="16sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_part_name"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_part_no">

        <TextView
            android:id="@+id/textView14"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_weight="1"
            android:gravity="left|center"
            android:text="Name"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_part_name"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.25"
            android:gravity="center"
            android:textColor="@color/black"
            android:background="@drawable/img_background_gray"
            android:textSize="16sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout2"
        android:layout_width="match_parent"
        android:layout_height="25dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_part_name">

        <TextView
            android:id="@+id/textView4"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/background_header"
            android:gravity="center"
            android:text="No"
            android:textColor="@color/black"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/textView5"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.8"
            android:background="@drawable/background_header"
            android:gravity="center"
            android:text="Lot no."
            android:textColor="@color/black"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/textView6"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.85"
            android:background="@drawable/background_header"
            android:gravity="center"
            android:text="Box no."
            android:textColor="@color/black"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/textView7"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.85"
            android:background="@drawable/background_header"
            android:gravity="center"
            android:text="Good"
            android:textColor="@color/black"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/textView8"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.9"
            android:background="@drawable/background_header"
            android:gravity="center"
            android:text="NG"
            android:textColor="@color/black"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/textView9"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.9"
            android:background="@drawable/background_header"
            android:gravity="center"
            android:text="Unit"
            android:textColor="@color/black"
            android:textSize="14sp" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/view_data"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/layout_location"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout2" />

    <LinearLayout
        android:id="@+id/layout_location"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/layout_button"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <TextView
            android:id="@+id/textView16"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_weight="0.95"
            android:gravity="left|center"
            android:text="Location"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_location"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.9"
            android:background="@drawable/img_background_gray"
            android:gravity="center"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/textView17"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="Total :"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_total"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.77"
            android:background="@drawable/img_background_gray"
            android:gravity="center"
            android:text="0"
            android:textColor="@color/black"
            android:textSize="16sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_button"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <Button
            android:id="@+id/btn_clear"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_background_yellow"
            android:onClick="onClick"
            android:text="Clear [P3]"
            android:textAllCaps="false"
            android:textSize="17dp" />

        <Button
            android:id="@+id/btn_reject"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_background_orange"
            android:onClick="onClick"
            android:text="Reject"
            android:textAllCaps="false"
            android:textSize="17dp" />

        <Button
            android:id="@+id/btn_confirm"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_background_blue"
            android:gravity="center"
            android:onClick="onClick"
            android:text="Confirm [P4]"
            android:textAllCaps="false"
            android:textSize="17dp" />
    </LinearLayout>


    <EditText
        android:id="@+id/txt_label_issue_tmp"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:background="@color/white"
        android:inputType="none"
        android:padding="5dp"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/layout" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_alert"
        android:layout_width="230dp"
        android:layout_height="220dp"
        android:visibility="gone"
        android:background="@drawable/img_background"
        android:padding="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:id="@+id/linearLayout4"
            android:layout_width="match_parent"
            android:layout_height="20dp"
            android:layout_marginTop="20dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">


        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_box"
            android:layout_width="match_parent"
            android:layout_height="20dp"
            android:layout_marginTop="2dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/linearLayout4">

            <TextView
                android:id="@+id/textView11"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="4dp"
                android:layout_weight="0.4"
                android:gravity="left|center"
                android:text="Box No. :"
                android:textColor="@color/black"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/txt_box_no"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="0.4"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="12sp" />
            <TextView
                android:id="@+id/textView33"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="4dp"
                android:layout_weight="0.4"
                android:gravity="left|center"
                android:text="Total :"
                android:textColor="@color/black"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/txt_total_issue"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="0.4"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="12sp" />
        </LinearLayout>


        <LinearLayout
            android:id="@+id/layout_good"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="2dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/layout_box">

            <TextView
                android:id="@+id/textView_good"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="4dp"
                android:layout_weight="1"
                android:gravity="left|center"
                android:text="GOOD :"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/txt_total_good"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="0.5"
                android:gravity="center"
                android:textColor="@color/black"
                android:background="@drawable/img_background_gray"
                android:textSize="16sp" />
        </LinearLayout>
        <LinearLayout
            android:id="@+id/layout_ng"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="2dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/layout_good">

            <TextView
                android:id="@+id/textView_ng"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="4dp"
                android:layout_weight="1"
                android:gravity="left|center"
                android:text="NG :"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <EditText
                android:id="@+id/txt_total_ng"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="0.5"
                android:gravity="center"
                android:textColor="@color/white"
                android:background="@color/color_red"
                android:inputType="number"
                android:textSize="16sp" />
        </LinearLayout>


        <LinearLayout
            android:id="@+id/layout_button2"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <Button
                android:id="@+id/btn_ok"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/button_background_green"
                android:gravity="center"
                android:onClick="onClick"
                android:text="Ok"
                android:textAllCaps="false"
                android:textSize="17dp" />

            <Button
                android:id="@+id/btn_cancel"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/button_background_gray"
                android:onClick="onClick"
                android:text="Cancel"
                android:textAllCaps="false"
                android:textSize="17dp" />


        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>

